%define upstream_name    Dist-Zilla-Plugin-Homepage
%define upstream_version 1.101420

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Automatically sets the homepage URL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.940.0

BuildArch: noarch


%description
This plugin sets the distribution's homepage URL as metadata.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.101.420-10.mga9
+ Revision: 1803246
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.101.420-9.mga8
+ Revision: 1494326
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.101.420-8.mga7
+ Revision: 1267533
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.101.420-7.mga6
+ Revision: 1026220
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.101.420-6.mga6
+ Revision: 947594
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.101.420-5.mga5
+ Revision: 750179
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.101.420-3.mga4
+ Revision: 511091
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.101.420-2.mga3
+ Revision: 366209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40440
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Homepage

